Skip to Content
veriom

Create SCIM token

Create a SCIM bearer token; the response is the only time the token is shown.

POST
/v1/workspaces/{workspace_id}/identity/scim/tokens

Create a SCIM bearer token; the response is the only time the token is shown.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Request Body

application/json
  1. body
name?Name
Length2 <= length <= 120
Default"Identity provider"

Response Body

Successful Response

application/json
  1. response
token*Token

The bearer token. It is shown once and cannot be retrieved.

token_info*
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/identity/scim/tokens' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "token": "string",  "token_info": {    "created_at": "2019-08-24T14:15:22Z",    "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "last_used_at": "2019-08-24T14:15:22Z",    "name": "string",    "prefix": "string",    "revoked_at": "2019-08-24T14:15:22Z"  }}